
import EditorLayout from "../layout"

import EditorPlugin from "../plugins/editor"
import LocalStoragePlugin from "../plugins/local-storage"
import ValidateBasePlugin from "../plugins/validate-base"
import ValidateSemanticPlugin from "../plugins/validate-semantic"
import ValidateJsonSchemaPlugin from "../plugins/validate-json-schema"
import EditorAutosuggestPlugin from "../plugins/editor-autosuggest"
import EditorAutosuggestSnippetsPlugin from "../plugins/editor-autosuggest-snippets"
import EditorAutosuggestKeywordsPlugin from "../plugins/editor-autosuggest-keywords"
import EditorAutosuggestOAS3KeywordsPlugin from "../plugins/editor-autosuggest-oas3-keywords"
import EditorAutosuggestRefsPlugin from "../plugins/editor-autosuggest-refs"
import PerformancePlugin from "../plugins/performance"
import JumpToPathPlugin from "../plugins/jump-to-path"

export default function PresetEditor() {

  const components = {
    components: {
      EditorLayout,
    }
  }

  return [
    components,
    EditorPlugin,
    ValidateBasePlugin,
    ValidateSemanticPlugin,
    ValidateJsonSchemaPlugin,
    // LocalStoragePlugin,
    EditorAutosuggestPlugin,
    EditorAutosuggestSnippetsPlugin,
    EditorAutosuggestKeywordsPlugin,
    EditorAutosuggestRefsPlugin,
    EditorAutosuggestOAS3KeywordsPlugin,
    PerformancePlugin,
    JumpToPathPlugin,
  ]
}
