const webpack = require('webpack');
const merge = require('webpack-merge');
const base = require('./webpack.base.config');
const ExtractTextPlugin = require('extract-text-webpack-plugin');
const HtmlWebpackPlugin = require('html-webpack-plugin');
const path = require('path');

const ROOT_PATH = path.resolve(__dirname);
const SRC_PATH = path.resolve(ROOT_PATH, 'src');
const DIST_PATH = path.resolve(ROOT_PATH, 'dist');
const INDEX_FILE = path.resolve(SRC_PATH, 'index.js');

const dev = {
  devServer: {
    contentBase: DIST_PATH,
    port: 6001,
    inline: true,
  },
  plugins: [
    new HtmlWebpackPlugin({
      template: path.resolve(SRC_PATH, 'index.html'),
      inject: 'head',
    }),
  ],
};

module.exports = merge(base, dev);
